Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-20873

Run button does not work with Parametrized builds

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Duplicate
    • Component/s: build-pipeline-plugin
    • Labels:
      None
    • Environment:
      Jenkins: 1.521
      Build Pipeline Plugini: 1.4.2
    • Similar Issues:

      Description

      The Run button on the Build Pipeline Plugin doesn't work when the initial job is parametrized.

        Attachments

          Issue Links

            Activity

            Hide
            nes_welsh Neil Welsh added a comment -

            I am also having the same problem. Although i am not getting any java errors, in IE i get the following:

            POST is required for au.com.centrumsystems.hudson.plugin.buildpipeline.DownstreamProjectGridBuilder.doBuild

            We are on Jenkins version:
            1.538
            Pipeline version
            1.4.2

            Please Let me know if you need any further information
            Neil

            Show
            nes_welsh Neil Welsh added a comment - I am also having the same problem. Although i am not getting any java errors, in IE i get the following: POST is required for au.com.centrumsystems.hudson.plugin.buildpipeline.DownstreamProjectGridBuilder.doBuild We are on Jenkins version: 1.538 Pipeline version 1.4.2 Please Let me know if you need any further information Neil
            Hide
            denschu Dennis Schulte added a comment -

            How is the status for this bug? Will it be fixed?

            Show
            denschu Dennis Schulte added a comment - How is the status for this bug? Will it be fixed?
            Hide
            ntumbal ntmba lobo added a comment -

            I have asked to contribute on this plugin and this will be one of the first thing I will be looking at.

            Show
            ntumbal ntmba lobo added a comment - I have asked to contribute on this plugin and this will be one of the first thing I will be looking at.
            Hide
            jeffastorey Jeff Storey added a comment -

            Any updates on this one?

            Show
            jeffastorey Jeff Storey added a comment - Any updates on this one?
            Hide
            mnothhard Michael Nothhard added a comment -

            I believe this is fixed. I'm currently on Jenkins 1.565 and Pipeline version 1.4.3. You just need to be sure in the view configuration to change "Pipeline starts with parameters" to "yes".

            See pull request #29: https://github.com/jenkinsci/build-pipeline-plugin/compare/build-pipeline-plugin-1.4.2...master

            Show
            mnothhard Michael Nothhard added a comment - I believe this is fixed. I'm currently on Jenkins 1.565 and Pipeline version 1.4.3. You just need to be sure in the view configuration to change "Pipeline starts with parameters" to "yes". See pull request #29: https://github.com/jenkinsci/build-pipeline-plugin/compare/build-pipeline-plugin-1.4.2...master
            Hide
            jeffastorey Jeff Storey added a comment -

            I'm using Jenkins 1.569 and pipeline version 1.4.3 and when I press the run button I get a 404 page. I did verify that "Pipeline starts with parameters" is set to "yes".

            Show
            jeffastorey Jeff Storey added a comment - I'm using Jenkins 1.569 and pipeline version 1.4.3 and when I press the run button I get a 404 page. I did verify that "Pipeline starts with parameters" is set to "yes".
            Hide
            jeffastorey Jeff Storey added a comment -

            This looks like a duplicate of JENKINS-25427. I recently submitted a fix for this https://github.com/jenkinsci/build-pipeline-plugin/pull/56.

            Show
            jeffastorey Jeff Storey added a comment - This looks like a duplicate of JENKINS-25427 . I recently submitted a fix for this https://github.com/jenkinsci/build-pipeline-plugin/pull/56 .
            Hide
            barbarello Joel Njanga added a comment -

            broken in plugin version 1.4.7 on jenkins 1.606

            Show
            barbarello Joel Njanga added a comment - broken in plugin version 1.4.7 on jenkins 1.606

              People

              • Assignee:
                Unassigned
                Reporter:
                pintosh sheryl pinto
              • Votes:
                9 Vote for this issue
                Watchers:
                14 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: